  ! This file will be deleted soon. (yot, 2010/09/10)

    != Tetens (1930) を用いた飽和比湿の算出
    !
    != Evaluate saturation specific humidity with Tetens (1930)
    !
    ! 積雲パラメタリゼーションや大規模凝結スキームでの使用時の
    ! 計算速度を確保するため, 飽和比湿計算は文関数として定義しています. 
    ! このファイルをプリプロセッサの #include コマンドによって
    ! 各ファイルに組み込みます. 
    !
    ! スキームの詳細については saturate_t1930 を参照してください. 
    ! 
    ! Calculation for saturation specific humidity is declared as 
    ! statement function because computation speed is kept when 
    ! cumulus parameterization or large scale condensation scheme are 
    ! performed. This file is build in each file by
    ! "#include" command of preprocessor. 
    ! 
    ! See "saturate_t1930" for detail of scheme. 
    !
    real(DP):: TempSF
                                ! $ T $ . 温度. Temperature
    real(DP):: PressSF
                                ! $ p $ . 気圧. Air pressure
    real(DP):: QVapSatSF
                                ! $ q^{*} $ . 飽和比湿. Saturation specific humidity
    real(DP):: EpsVSF
                              ! $ \epsilon_v $ . 
                              ! 水蒸気分子量比. 
                              ! Molecular weight of water vapor
    real(DP):: GasRWetSF
                              ! $ R_v $ [J kg-1 K-1]. 
                              ! 水蒸気の気体定数. 
                              ! Gas constant of water vapor
    real(DP):: LatHeatSF
                              ! $ L $ [J kg-1] . 
                              ! 凝結の潜熱. 
                              ! Latent heat of condensation

    real(DP), parameter:: Es0SF = 611.0_DP
                              ! 0 ℃の飽和蒸気圧 [Pa]. 
                              ! Saturation water vapor pressure at 0 deg C [Pa]

    real(DP):: CalcQVapSatSF, CalcDQVapSatDTempSF


    CalcQVapSatSF( TempSF, PressSF ) = &
      & EpsVSF * Es0SF &
      &  * exp( LatHeatSF / GasRWetSF * ( 1./273. - 1./TempSF ) ) / PressSF

    CalcDQVapSatDTempSF( TempSF, QVapSatSF ) = &
      & LatHeatSF * QVapSatSF / ( GasRWetSF * TempSF**2 )
